export default {
  name: 'new-map-line',
  width: 500,
  height: 300,
  dataconfig: true,
  modalSet: [{
    name: '地理经纬度',
    key: 'rowParamList',
    type: 'dimension',
    length: 3
  }, {
    name: '地理省份区域',
    key: 'columnParamList',
    type: 'dimension',
    length: 3
  }, {
    name: '飞线指标',
    key: 'indexParamList',
    type: 'measure',
    length: 100
  }],
  apiconfig: true,
  option: {
    mapColor: 'rgba(5, 28, 84, 1)',
    mapHighColor: 'rgba(14, 59, 167, 1)',
    labelColor: 'rgba(255, 255, 255, 1)',
    labelHighColor: 'rgba(255, 255, 255, 1)',
    lineColor: 'rgba(244, 178, 99, 1)',
    lineWeight: 2,
    pointColor: "rgba(244, 178, 99,1)",
    pointSize: 2,
    centerColor: "rgba(244, 178, 99,1)",
    centerSize: 5,
    outlineColor: 'rgba(59,192,255,1)',
    outlineWeight: 2,
    borderColor: 'rgba(59,192,255,1)',
    shadowColor: 'rgba(59,192,255,1)',
    shadowOffsetX: 2,
    shadowOffsetY: 4,
  },
  optionSet: [
    'style-grid',
    'style-title'
  ]
}
